PUT api/jobs/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
UpdateJobRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| TradeCategoryId | integer |
None. |
|
| TradeSubcategoryId | integer |
None. |
|
| JobType | JobType |
None. |
|
| Title | string |
None. |
|
| Description | string |
None. |
|
| BudgetMinimum | decimal number |
None. |
|
| BudgetMaximum | decimal number |
None. |
|
| PreferredDate | date |
None. |
|
| PreferredTimeFrom | time interval |
None. |
|
| PreferredTimeTo | time interval |
None. |
|
| AddressId | globally unique identifier |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| PropertyType | string |
None. |
|
| AccessInstructions | string |
None. |
|
| SafetyNotes | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"tradeCategoryId": 1,
"tradeSubcategoryId": 1,
"jobType": "Emergency",
"title": "sample string 2",
"description": "sample string 3",
"budgetMinimum": 1.0,
"budgetMaximum": 1.0,
"preferredDate": "2026-07-16T16:47:13.2186431+02:00",
"preferredTimeFrom": "00:00:00.1234567",
"preferredTimeTo": "00:00:00.1234567",
"addressId": "f479554e-54b3-47af-91b3-23a35a8937cf",
"latitude": 4.1,
"longitude": 5.1,
"propertyType": "sample string 6",
"accessInstructions": "sample string 7",
"safetyNotes": "sample string 8"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.